> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.cable.tech/v-2-0/api-documentation/api-reference/transaction-checks/add-transaction-check/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server. # Add new transaction check(s) POST https://api.cable.tech/v2/transaction_check Content-Type: application/json Reference: https://docs.cable.tech/api-documentation/api-reference/transaction-checks/add-transaction-check ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a list of NewTransactionCheckRequestItems. - `list of NewTransactionCheckRequestItems` ## Response ### 201 Transaction check added successfully - `success` (boolean, required) — Indicates if the write operation was successful. - `write_count` (integer, required) — The number of records written to the database. - `message` (string, required) — Provides additional information about the operation result. - `organization_id` (string, required) — The organization ID for which the operation was performed. ## Errors ### 400 Bad Request Error Invalid transaction check data - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 401 Unauthorized Error Unauthorized request - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 409 Conflict Error Transaction check already exists - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 429 Too Many Requests Error Rate limit exceeded - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ### 500 Internal Server Error Server error - `code` (integer, required) - `message` (string, required) - `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields. ## Types ### NewTransactionCheckRequestItems - `check_id` (string, required) — Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier. - `status` (enum, required) - Allowed values: `PENDING`, `COMPLETED`, `REQUESTED`, `ASSIGNED`, `FAILED` - `type` (enum, required) — The type of monitoring check that is being performed. - Allowed values: `INLINE_MONITORING`, `DELAYED_MONITORING` - `timestamp` (datetime, required) — When this transaction check was performed in your system, in ISO 8601 format. - `is_test` (boolean, optional, default: false) — If the transaction check is test data, this should be set to true - `related_tx_ids` (list of string, optional) — Unique identifiers for transactions which the check relates to. - `related_tx_id` (string, optional, deprecated) — Unique identifier for the transaction which the check is related to. ### GeneralErrorErrorsItems - `field` (string, optional) - `message` (string, optional) ## Examples **Request** ```json [ { "check_id": "chk_9f8b7c6d5e4a3b2c1d0e", "timestamp": "2024-01-15T09:30:00Z" } ] ``` **Response** ```json { "success": true, "write_count": 1, "message": "Transaction check added successfully.", "organization_id": "org_1234567890abcdef" } ``` **SDK Code** ```python import requests url = "https://api.cable.tech/v2/transaction_check" payload = [ { "check_id": "chk_9f8b7c6d5e4a3b2c1d0e", "timestamp": "2024-01-15T09:30:00Z" } ] headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.cable.tech/v2/transaction_check'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '[{"check_id":"chk_9f8b7c6d5e4a3b2c1d0e","timestamp":"2024-01-15T09:30:00Z"}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.cable.tech/v2/transaction_check" payload := strings.NewReader("[\n {\n \"check_id\": \"chk_9f8b7c6d5e4a3b2c1d0e\",\n \"timestamp\": \"2024-01-15T09:30:00Z\"\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.cable.tech/v2/transaction_check") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"check_id\": \"chk_9f8b7c6d5e4a3b2c1d0e\",\n \"timestamp\": \"2024-01-15T09:30:00Z\"\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.cable.tech/v2/transaction_check") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("[\n {\n \"check_id\": \"chk_9f8b7c6d5e4a3b2c1d0e\",\n \"timestamp\": \"2024-01-15T09:30:00Z\"\n }\n]") .asString(); ``` ```php request('POST', 'https://api.cable.tech/v2/transaction_check', [ 'body' => '[ { "check_id": "chk_9f8b7c6d5e4a3b2c1d0e", "timestamp": "2024-01-15T09:30:00Z" } ]', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.cable.tech/v2/transaction_check"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"check_id\": \"chk_9f8b7c6d5e4a3b2c1d0e\",\n \"timestamp\": \"2024-01-15T09:30:00Z\"\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ [ "check_id": "chk_9f8b7c6d5e4a3b2c1d0e", "timestamp": "2024-01-15T09:30:00Z" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v2/transaction_check")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```